classification
Title: Docs site redirection doesn't work for 3.9
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: andrei.avk, docs@python, kaxing, mdk
Priority: normal Keywords:

Created on 2020-12-06 15:04 by kaxing, last changed 2021-07-18 00:48 by ned.deily. This issue is now closed.

Messages (2)
msg382596 - (view) Author: Yung (kaxing) Date: 2020-12-06 15:04
Following URL won't redirect(301) to /math.html
https://docs.python.org/3.9/library/math

Where the user sees 404 when they click from >>> help(math)

However, works fine in:
https://docs.python.org/3/library/math
https://docs.python.org/3.5/library/math
https://docs.python.org/2/library/math
https://docs.python.org/2.7/library/math
msg397651 - (view) Author: Andrei Kulakov (andrei.avk) * (Python triager) Date: 2021-07-16 19:07
It works for me (the first link) -- I think this can be closed.
History
Date User Action Args
2021-07-18 00:48:53ned.deilysetstatus: open -> closed
resolution: out of date
stage: resolved
2021-07-16 19:07:11andrei.avksetnosy: + andrei.avk
messages: + msg397651
2020-12-07 01:11:49ned.deilysetnosy: + mdk
2020-12-06 15:04:00kaxingcreate